Subject: RE: ALF?

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 7 May 2001 09:08:44 -0400

ALF is a set of techniques that allow an application, as opposed 
to a stack, affect how messages are sent to the other side.  
A typical ALF technique is to allow an application to change the 
order of messages sent when there is a queue AFTER it has queued 
them.  There is no spec.

You can JUST follow the procedures in Annex D, and nothing more,
or you can do some other things that might improve performance for
a particular application, but you can't do something that violates
the protocol specification.

Brian

> -----Original Message-----
> From: Paul Long [mailto:[email-masked]]
> Sent: Sunday, May 06, 2001 9:09 PM
> To: [email-masked]
> Subject: ALF?
> 
> 
> I was thinking that the "ALF" part of "UDP/ALF" referred to a specific
> protocol, e.g., a simple retransmission protocol, or some kind of
> standardized framing, e.g., TPKT; however, it seems to be just a loose
> concept and not embodied in a separate RFC or somesuch. Is 
> this correct? Is
> there a distinction being made between UDP and UDP/ALF? My 
> best guess is
> that, in Megaco/H.248, ALF is just the retransmission scheme 
> described in
> Annex D and nothing more, right?
> 
> Paul Long
> ipDialog, Inc.
>